import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button } from "react-bootstrap";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";
import Alert from "react-bootstrap/Alert";
import axios from "axios";

function UpdatePlanetTest(props) {
  const [planetInfoData, setPlanetInfoData] = useState({
    planetId: "",
    planetDesc: "",
    mgmtServerLocation: "",
    credential: "",
    orgs: [{
      id: "",
      orgName: "",
      credential: "",
      env: [{
        id: "",
        name: "",
        vhost: [{
          id: "",
          envName: "",
          name: "",
          protocol: "",
          port: "",
          cname: ""
        }]
      }]
    }]
  }); //load existing planet details

  useEffect(() => {
    axios.get("https://configurator-api-m7mkmev5sq-uc.a.run.app/planet/1").then(response => {
      setPlanetInfoData({
        planetId: response.data.planetId,
        planetDesc: response.data.planetDesc,
        mgmtServerLocation: response.data.mgmtServerLocation,
        credential: response.data.credential,
        orgs: response.data.orgs.map((od, idx) => ({
          id: od.id,
          orgName: od.orgName,
          credential: od.credential,
          env: od.env.map((envd, indx) => ({
            id: envd.id,
            name: envd.name,
            vhost: envd.vhost.map((vd, ixd) => ({
              id: vd.id,
              envName: vd.envName,
              name: vd.name,
              protocol: vd.protocol,
              port: vd.port,
              cname: vd.cname
            }))
          }))
        }))
      });
    });
  }, []);
  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Update Planet"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Update Planet")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetDesc"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Planet Description", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "planetDesc" //onChange={handlePlanetDescriptionChange}
    ,
    value: planetInfoData.planetDesc
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "mgmtServerLocation"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Management Server Location"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "mgmtServerLocation" //onChange={handleMgmtServerLocationChange}
    ,
    value: planetInfoData.mgmtServerLocation
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "credential"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Credential"), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "credential" //onChange={handleCredentialChange}
    ,
    value: planetInfoData.credential
  }))), /*#__PURE__*/React.createElement("div", {
    className: "group-field-highlight-pattern-info "
  }, /*#__PURE__*/React.createElement("p", null, "Orgs"), planetInfoData.orgs.map((branch, i) => /*#__PURE__*/React.createElement("div", null, branch.orgName, /*#__PURE__*/React.createElement("span", {
    className: "action-pad"
  }, /*#__PURE__*/React.createElement(Link, {
    to: "/"
  }, /*#__PURE__*/React.createElement(FaEdit, null))))), /*#__PURE__*/React.createElement(Button, {
    variant: "primary"
  }, "+ Add new org"))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary"
  }, "Update"))))))))));
}

export default UpdatePlanetTest;